REM
REM This example contains programming source code (Sample Code) for your use in learning.  IBM 
REM grants you a nonexclusive copyright license to use this Sample Code for the purpose of 
REM learning and as an example from which you can generate similar function tailored to your 
REM own specific needs. This Sample Code is provided by IBM for illustrative purposes only 
REM and has not been thoroughly tested under all conditions.  IBM, therefore, cannot guarantee
REM or imply reliability, serviceability, or function of this Sample Code.  IBM provides no 
REM program services for this Sample Code.  All Sample Code contained herein is provided to 
REM you "AS IS" without any warranties of any kind.  
REM
REM THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
REM NON-INFRINGMENT ARE EXPRESSLY DISCLAIMED.  SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION 
REM OF IMPLIED WARRANTIES, SO THE ABOVE EXCLUSIONS MAY NOT APPLY TO YOU.  IN NO EVENT WILL 
REM IBM BE LIABLE TO ANY PARTY FOR ANY DIRECT, INDIRECT, SPECIAL OR OTHER CONSEQUENTIAL 
REM DAMAGES FOR ANY USE OF THIS SAMPLE CODE INCLUDING, WITHOUT LIMITATION, ANY LOST 
REM PROFITS, BUSINESS INTERRUPTION, LOSS OF PROGRAMS OR OTHER DATA ON YOUR INFORMATION 
REM HANDLING SYSTEM OR OTHERWISE, EVEN IF WE ARE EXPRESSLY ADVISED OF THE POSSIBILITY OF 
REM SUCH DAMAGES.
REM
REM (C) Copyright IBM Corp. 2001-2003
REM All rights reserved.
REM US Government Users Restricted Rights -
REM Use, duplication, or disclosure restricted
REM by GSA ADP Schedule Contract with IBM Corp.
REM Licensed Materials - Property of IBM.
REM
@echo off
call %LABFILES50INSTALLDRIVE%\LabFiles50\setupVARs.bat
title Loading database - Create and Populate database BankData

rem invoke db2 command line and run loadDataBase script

rem parameters are:
rem                1=db2 userid 
rem                2=db2 password
rem                3=Table.ddl file

cls
echo.
echo ****************************************************************
echo  ***************************** ********************************
echo   ***************************   ******************************
echo    *************************     ****************************
echo     ***********************       **************************
echo      *********************         ************************
echo       *******************           **********************
echo.
echo          About to drop the tables ACCOUNT and CUSTOMER
echo                in the database called BankData!
echo.
echo    	  Hit Ctrl-C now to abort this action
echo               if you do not wish this to happen.
echo.
echo       *******************           **********************
echo      *********************         ************************
echo     ***********************       **************************
echo    *************************     ****************************
echo   ***************************   ******************************
echo  ***************************** ********************************
echo ****************************************************************

pause

db2start

call %LABFILES50INSTALLDRIVE%\LabFiles50\CreateBankData.bat %1 %2 %3 > BankDataLoadDB.log 2>&1
if errorlevel 1 goto LoadFailed

echo.
echo BankData database has been created and loaded
goto exit

:LoadFailed
cls
echo. 
echo.
echo Warning: the BankData database for this Lab has experienced a problem
echo Try looking at the BankDataLoadDB.log file in the \logs subdirectory 
echo.
echo.
echo.
echo Parameters are: 
echo                1=Db2 userid
echo                2=DB2 password
echo                3=Table.ddl file
pause

:exit
rem @popd
title Command Prompt