//
// This example contains programming source code (Sample Code) for your use in learning.  IBM 
// grants you a nonexclusive copyright license to use this Sample Code for the purpose of 
// learning and as an example from which you can generate similar function tailored to your 
// own specific needs. This Sample Code is provided by IBM for illustrative purposes only 
// and has not been thoroughly tested under all conditions.  IBM, therefore, cannot guarantee
// or imply reliability, serviceability, or function of this Sample Code.  IBM provides no 
// program services for this Sample Code.  All Sample Code contained herein is provided to 
// you "AS IS" without any warranties of any kind.  
//
// THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
// NON-INFRINGMENT ARE EXPRESSLY DISCLAIMED.  SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION 
// OF IMPLIED WARRANTIES, SO THE ABOVE EXCLUSIONS MAY NOT APPLY TO YOU.  IN NO EVENT WILL 
// IBM BE LIABLE TO ANY PARTY FOR ANY DIRECT, INDIRECT, SPECIAL OR OTHER CONSEQUENTIAL 
// DAMAGES FOR ANY USE OF THIS SAMPLE CODE INCLUDING, WITHOUT LIMITATION, ANY LOST 
// PROFITS, BUSINESS INTERRUPTION, LOSS OF PROGRAMS OR OTHER DATA ON YOUR INFORMATION 
// HANDLING SYSTEM OR OTHERWISE, EVEN IF WE ARE EXPRESSLY ADVISED OF THE POSSIBILITY OF 
// SUCH DAMAGES.
//
// (C) Copyright IBM Corp. 2001-2003
// All rights reserved.
// US Government Users Restricted Rights -
// Use, duplication, or disclosure restricted
// by GSA ADP Schedule Contract with IBM Corp.
// Licensed Materials - Property of IBM.
//
/*.....
Allows adding an account from client code to the collection of owned accounts 
without letting the client manipulate the collection
......*/

    public void addAccount(AccountLocal anAccount) {//added for  CMR
	if (anAccount != null) 
		getAccounts().add(anAccount);
  }




/*.....
Exposes the collection of Owned Account Numbers  to the client(numbers only)
......*/
    public Vector getOwnedAccountNumbers() { //returns all the acct numbers to the client - for CMR verification
	Vector allAccountNumbers = new Vector();
	Collection allAccounts = getAccounts();
	Iterator iterator = allAccounts.iterator();
	while (iterator.hasNext()) {
	 	AccountLocal account = (AccountLocal) iterator.next();
		 Long acctNumber = new Long(account.getAccountNumber());
		 allAccountNumbers.add(acctNumber);
		}
	return allAccountNumbers;

	}
