//===================START_PROLOG======================================
//
//   COMPONENT_NAME: WEBSJAVA.SAMP
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//   5630-A23, 5630-A22,
//   (C) COPYRIGHT International Business Machines Corp., 1997, 2001
//   All Rights Reserved * Licensed Materials - Property of IBM
//
//   Note to US Government users: Documentation related to restricted rights
//   Use, duplication or disclosure is subject to restrictions set forth in GSA
//   ADP Schedule with IBM Corp.
//   This page may contain other proprietary notices and copyright information,
//   the terms of which must be observed and followed.
//
//   This program may be used, executed, copied, modified and distributed
//   without royalty for the purpose of developing, using, marketing, or
//   distributing.
//
//===================END_PROLOG========================================
//
// @(#) 1.7.1.2 ncf/src/samples/common/en/servlet/WebSphereSamples/EJBs/AccountAndTransfer/code/ClientResourceBundle.java, WEBSJAVA.SAMP, ASV, n0113.25 3/28/01 14:49:58 [4/6/01 14:54:13]
package com.ibm.mybank.client;

import java.util.ListResourceBundle;

public class ClientResourceBundle extends ListResourceBundle {

   public ClientResourceBundle () {
      super();
   }

   public Object[][] getContents ( ) {
      return contents;
   }

   static final Object[][] contents = {
      // LOCALIZE THIS
      { "frameTitle",             "TransferApplication"},
      { "transferTitle",          "Transfer Funds between Accounts"},
      { "transferTitle2",         "Transfer Funds"},
      { "amount",                 "Amount"},
      { "from",                   "From Account"},
      { "to",                     "To Account"},
      { "transferBalance",        "Balance"},
      { "transfer",               "Transfer"},
      { "clear",                  "Clear"},
      { "get",                    "Get Balance"},
      { "successtransfer",        "Transfer successful"},
      { "successbalance",         "Balance query successful"},
      { "createTitle",            "Create a new Account"},
      { "createTitleBM",          "Create a new Account (BMP)"},
      { "number",                 "Account Number:"},
      { "type",                   "Type:"},
      { "savings",                "savings"},
      { "checking",               "checking"},
      { "balance",                "Starting Balance:"},
      { "create",                 "Create"},
      { "createdaccount",         "Created account:"},
      { "createdtype",            "Type:"},
      { "createdbalance",         "Balance:"},
      { "status",                 "Status"},
      { "failurebadnum",          "Valid amount and account Ids required for transfer."},
      { "failurebadid",           "Valid account Id required to get balance."},
      { "failureexists",          "Create failure - account already exists:"},
      { "failureinternal",        "Internal failure - could not create account:"},
      { "failureaccount",         "Invalid account format:"},
      { "failuresameact",         "Cannot transfer funds between identical accounts."},
      { "failurebalance",         "Invalid balance format:"},
      { "failureinsufficient",    "Insufficient funds - no transfer"},
      { "failurerequest",         "Internal failure - could not do request"},
      { "failureinput",           "Bad input - could not do request"},
      { "failureamount",          "Invalid amount format:"},
      { "failureamtzero",         "Invalid amount."},
      { "failurefind",            "One (or both) accounts not found"},
      { "failureinit",            "Exception retrieving the initial context:"},
      { "failurelookup",          "Lookup returned unexpected object type."},
      { "failureremote",          "RemoteException: "},
      { "failurecreate",          "CreateException: "},
      { "failuredupkey",          "DuplicateKeyException: "},
      { "failurecrtxfer",         "Exception creating new transfer: "},
      { "failureformat",          "Valid amount and account Id required for transfer."},
      { "failureactnum",          "Invalid account number."},
      { "failureactinv",          "Invalid account number: "},
      { "failuremain",            "Exception occurred in main() of java.awt.Frame"},
      { "failuregenexp",          "Exception: "},
      { "initError",              "Error initializing servlet."},
      { "startinit",              "Initializing - please wait."},
      { "endinit",                "Initialization done - begin work."}
      // END OF MATERIAL TO LOCALIZE
   };
}
