//
// This example contains programming source code (Sample Code) for your use in learning.  IBM 
// grants you a nonexclusive copyright license to use this Sample Code for the purpose of 
// learning and as an example from which you can generate similar function tailored to your 
// own specific needs. This Sample Code is provided by IBM for illustrative purposes only 
// and has not been thoroughly tested under all conditions.  IBM, therefore, cannot guarantee
// or imply reliability, serviceability, or function of this Sample Code.  IBM provides no 
// program services for this Sample Code.  All Sample Code contained herein is provided to 
// you "AS IS" without any warranties of any kind.  
//
// THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
// NON-INFRINGMENT ARE EXPRESSLY DISCLAIMED.  SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION 
// OF IMPLIED WARRANTIES, SO THE ABOVE EXCLUSIONS MAY NOT APPLY TO YOU.  IN NO EVENT WILL 
// IBM BE LIABLE TO ANY PARTY FOR ANY DIRECT, INDIRECT, SPECIAL OR OTHER CONSEQUENTIAL 
// DAMAGES FOR ANY USE OF THIS SAMPLE CODE INCLUDING, WITHOUT LIMITATION, ANY LOST 
// PROFITS, BUSINESS INTERRUPTION, LOSS OF PROGRAMS OR OTHER DATA ON YOUR INFORMATION 
// HANDLING SYSTEM OR OTHERWISE, EVEN IF WE ARE EXPRESSLY ADVISED OF THE POSSIBILITY OF 
// SUCH DAMAGES.
//
// (C) Copyright IBM Corp. 2001-2003
// All rights reserved.
// US Government Users Restricted Rights -
// Use, duplication, or disclosure restricted
// by GSA ADP Schedule Contract with IBM Corp.
// Licensed Materials - Property of IBM.
//
package com.ibm.mybank.client;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;

/**
 * @author db2admin
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class TransferApp extends JFrame implements ActionListener {

     private javax.swing.JPanel ivjContentPane = null;
     private javax.swing.JButton ivjJButton = null;

     private javax.swing.JButton ivjJButton2 = null;
     private javax.swing.JTextField ivjJTextField = null;
     private javax.swing.JTextField ivjJTextField1 = null;
     private javax.swing.JTextField ivjJTextField2 = null;
     private javax.swing.JLabel ivjJLabel = null;
     private javax.swing.JLabel ivjJLabel1 = null;
     private javax.swing.JLabel ivjJLabel2 = null;
     private javax.swing.JTextField ivjJTextField3 = null;
     private javax.swing.JTextField ivjJTextField4 = null;
     private javax.swing.JButton jButton = null;
     private com.ibm.mybank.client.TransferHelper ivjTransferHelper = null;  //  @jve:visual-info  decl-index=0 visual-constraint="289,263"
	/**
	 * This method initializes 
	 * 
	 */
	public TransferApp() {
		super() ;
		initialize() ;
	}
	/**
	 * @see java.awt.event.ActionListener#actionPerformed(ActionEvent)
	 */
	public void actionPerformed(ActionEvent e) {
		Object o = e.getSource();
		System.out.println(o.toString());
		if (((JButton)o).getLocation().equals(getIvjJButton2().getLocation())) { //TransferButton originated the event
			String fromAccount = this.getIvjJTextField().getText();
			String toAccount = this.getIvjJTextField1().getText();
			String amount = this.getIvjJTextField2().getText();
			this.getIvjTransferHelper().doTransfer(fromAccount, toAccount, amount);
	
			String newBalance1 = Float.toString(this.getIvjTransferHelper().getBalance(fromAccount));
			String newBalance2 = Float.toString(this.getIvjTransferHelper().getBalance(toAccount));
			getIvjJTextField3().setText(newBalance1);
			getIvjJTextField4().setText(newBalance2);
		}
		else if (((JButton)o).getLocation().equals(getIvjJButton().getLocation())){ //Get Balance left
						String fromAccount = this.getIvjJTextField().getText();
			String newBalance1 = Float.toString(this.getIvjTransferHelper().getBalance(fromAccount));
			getIvjJTextField3().setText(newBalance1);

		} 
		
		else if (((JButton)o).getLocation().equals(getJButton().getLocation())) { //Get Balance right
			String toAccount = this.getIvjJTextField1().getText();
			String newBalance2 = Float.toString(this.getIvjTransferHelper().getBalance(toAccount));
			getIvjJTextField4().setText(newBalance2);
			
		} 
		else { //ignore
		}

	}

	public static void main(String[] args) {
		new TransferApp();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
        this.setContentPane(getIvjContentPane());
        this.setSize(560, 253);
        this.setTitle("Transfer Funds");
        getIvjJButton().addActionListener(this);
        getJButton().addActionListener(this);
        getIvjJButton2().addActionListener(this);
        show();
 
			
	}
	/**
	 * This method initializes ivjContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getIvjContentPane() {
		if(ivjContentPane == null) {
			ivjContentPane = new javax.swing.JPanel();
			ivjContentPane.setLayout(null);
			ivjContentPane.add(getIvjJButton(), getIvjJButton().getName());
			ivjContentPane.add(getIvjJButton2(), getIvjJButton2().getName());
			ivjContentPane.add(getIvjJTextField(), getIvjJTextField().getName());
			ivjContentPane.add(getIvjJTextField1(), getIvjJTextField1().getName());
			ivjContentPane.add(getIvjJTextField2(), getIvjJTextField2().getName());
			ivjContentPane.add(getIvjJLabel(), getIvjJLabel().getName());
			ivjContentPane.add(getIvjJLabel1(), getIvjJLabel1().getName());
			ivjContentPane.add(getIvjJLabel2(), getIvjJLabel2().getName());
			ivjContentPane.add(getIvjJTextField3(), getIvjJTextField3().getName());
			ivjContentPane.add(getIvjJTextField4(), getIvjJTextField4().getName());
			ivjContentPane.add(getJButton(), null);
		}
		return ivjContentPane;
	}
	/**
	 * This method initializes ivjJButton
	 * 
	 * @return javax.swing.JButton
	 */
	private javax.swing.JButton getIvjJButton() {
		if(ivjJButton == null) {
			ivjJButton = new javax.swing.JButton();
			ivjJButton.setBounds(207, 113, 110, 29);
			ivjJButton.setText("Get Balance");
		}
		return ivjJButton;
	}
	/**
	 * This method initializes ivjJButton2
	 * 
	 * @return javax.swing.JButton
	 */
	private javax.swing.JButton getIvjJButton2() {
		if(ivjJButton2 == null) {
			ivjJButton2 = new javax.swing.JButton();
			ivjJButton2.setBounds(206, 163, 232, 30);
			ivjJButton2.setText("Transfer Funds");
		}
		return ivjJButton2;
	}
	/**
	 * This method initializes ivjJTextField
	 * 
	 * @return javax.swing.JTextField
	 */
	private javax.swing.JTextField getIvjJTextField() {
		if(ivjJTextField == null) {
			ivjJTextField = new javax.swing.JTextField();
			ivjJTextField.setBounds(203, 32, 110, 22);
		}
		return ivjJTextField;
	}
	/**
	 * This method initializes ivjJTextField1
	 * 
	 * @return javax.swing.JTextField
	 */
	private javax.swing.JTextField getIvjJTextField1() {
		if(ivjJTextField1 == null) {
			ivjJTextField1 = new javax.swing.JTextField();
			ivjJTextField1.setBounds(331, 32, 110, 22);
		}
		return ivjJTextField1;
	}
	/**
	 * This method initializes ivjJTextField2
	 * 
	 * @return javax.swing.JTextField
	 */
	private javax.swing.JTextField getIvjJTextField2() {
		if(ivjJTextField2 == null) {
			ivjJTextField2 = new javax.swing.JTextField();
			ivjJTextField2.setBounds(20, 32, 133, 22);
		}
		return ivjJTextField2;
	}
	/**
	 * This method initializes ivjJLabel
	 * 
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getIvjJLabel() {
		if(ivjJLabel == null) {
			ivjJLabel = new javax.swing.JLabel();
			ivjJLabel.setBounds(203, 10, 104, 19);
			ivjJLabel.setText("From:");
		}
		return ivjJLabel;
	}
	/**
	 * This method initializes ivjJLabel1
	 * 
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getIvjJLabel1() {
		if(ivjJLabel1 == null) {
			ivjJLabel1 = new javax.swing.JLabel();
			ivjJLabel1.setBounds(335, 10, 104, 19);
			ivjJLabel1.setText("To:");
		}
		return ivjJLabel1;
	}
	/**
	 * This method initializes ivjJLabel2
	 * 
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getIvjJLabel2() {
		if(ivjJLabel2 == null) {
			ivjJLabel2 = new javax.swing.JLabel();
			ivjJLabel2.setBounds(19, 10, 104, 19);
			ivjJLabel2.setText("Amount:");
		}
		return ivjJLabel2;
	}

	/**
	 * This method initializes ivjJTextField3
	 * 
	 * @return javax.swing.JTextField
	 */
	private javax.swing.JTextField getIvjJTextField3() {
		if(ivjJTextField3 == null) {
			ivjJTextField3 = new javax.swing.JTextField();
			ivjJTextField3.setBounds(203, 70, 110, 22);
		}
		return ivjJTextField3;
	}
	/**
	 * This method initializes ivjJTextField4
	 * 
	 * @return javax.swing.JTextField
	 */
	private javax.swing.JTextField getIvjJTextField4() {
		if(ivjJTextField4 == null) {
			ivjJTextField4 = new javax.swing.JTextField();
			ivjJTextField4.setBounds(331, 70, 110, 22);
		}
		return ivjJTextField4;
	}
	/**
	 * This method initializes jButton
	 * 
	 * @return javax.swing.JButton
	 */
	private javax.swing.JButton getJButton() {
		if(jButton == null) {
			jButton = new javax.swing.JButton();
			jButton.setBounds(331, 113, 110, 29);
			jButton.setText("Get Balance ");
		}
		return jButton;
	}
	/**
	 * This method initializes ivjTransferHelper
	 * 
	 * @return com.ibm.mybank.client.TransferHelper
	 */
	private com.ibm.mybank.client.TransferHelper getIvjTransferHelper() {
		if(ivjTransferHelper == null) {
			ivjTransferHelper = new com.ibm.mybank.client.TransferHelper();
		}
		return ivjTransferHelper;
	}
}
