REM
REM This example contains programming source code (Sample Code) for your use in learning.  IBM 
REM grants you a nonexclusive copyright license to use this Sample Code for the purpose of 
REM learning and as an example from which you can generate similar function tailored to your 
REM own specific needs. This Sample Code is provided by IBM for illustrative purposes only 
REM and has not been thoroughly tested under all conditions.  IBM, therefore, cannot guarantee
REM or imply reliability, serviceability, or function of this Sample Code.  IBM provides no 
REM program services for this Sample Code.  All Sample Code contained herein is provided to 
REM you "AS IS" without any warranties of any kind.  
REM
REM THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
REM NON-INFRINGMENT ARE EXPRESSLY DISCLAIMED.  SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION 
REM OF IMPLIED WARRANTIES, SO THE ABOVE EXCLUSIONS MAY NOT APPLY TO YOU.  IN NO EVENT WILL 
REM IBM BE LIABLE TO ANY PARTY FOR ANY DIRECT, INDIRECT, SPECIAL OR OTHER CONSEQUENTIAL 
REM DAMAGES FOR ANY USE OF THIS SAMPLE CODE INCLUDING, WITHOUT LIMITATION, ANY LOST 
REM PROFITS, BUSINESS INTERRUPTION, LOSS OF PROGRAMS OR OTHER DATA ON YOUR INFORMATION 
REM HANDLING SYSTEM OR OTHERWISE, EVEN IF WE ARE EXPRESSLY ADVISED OF THE POSSIBILITY OF 
REM SUCH DAMAGES.
REM
REM (C) Copyright IBM Corp. 2001-2003
REM All rights reserved.
REM US Government Users Restricted Rights -
REM Use, duplication, or disclosure restricted
REM by GSA ADP Schedule Contract with IBM Corp.
REM Licensed Materials - Property of IBM.
REM
@echo off

rem parameters are: 1=db2 userid, 2=db2 password, 3=Table.ddl file

db2 terminate

cls
echo.
echo ****************************************************************
echo  ***************************** ********************************
echo   ***************************   ******************************
echo    *************************     ****************************
echo     ***********************       **************************
echo      *********************         ************************
echo       *******************           **********************
echo.
echo          About to drop the tables ACCOUNT and CUSTOMER
echo                in the database called BankData!
echo.
echo    	  Hit Ctrl-C now to abort this action
echo               if you do not wish this to happen.
echo.
echo       *******************           **********************
echo      *********************         ************************
echo     ***********************       **************************
echo    *************************     ****************************
echo   ***************************   ******************************
echo  ***************************** ********************************
echo ****************************************************************

rem pause

db2 create database BankData

db2 connect to BankData user %1 using %2

db2 drop table Account

db2 drop table Customer

db2 update db cfg for BankData using applheapsz 2048

db2 update db cfg for BankData using logfilsiz 8192

db2 terminate

db2 connect to BankData user %1 using %2

db2 -tvf %3

%DB2INSTALLDRIVE%
cd %DB2INSTALLDIRECTORY%\bnd

db2 bind @db2cli.lst blocking all grant public

db2 connect reset

db2 terminate

title Command Prompt